/*
File: Exam1202A
Date: 2014/7/10
Author: Akinori Tsuji
*/
#include <Servo.h>

const int servoL_Pin  = 9; // uses timer1
const int servoR_Pin  = 5; // uses timer1
Servo servoL; // left servo
Servo servoR; // right servo
const int swPin = 8;

int centerL=1495, centerR=1472, pwL=680, pwR=720;

void setup() {
  Serial.begin(9600);
  servoL.attach(servoL_Pin, centerL-pwL, centerL+pwR);
  servoR.attach(servoR_Pin, centerR-pwL, centerR+pwR);
  motor(0, 0);
}

int val[3] = {0, 0, 0};
void loop(){
  val[0] = analogRead(A0);
  val[1] = analogRead(A1);
  val[2] = analogRead(A2);
  Serial.print(val[0]);
  Serial.print(",");
  Serial.print(val[1]);
  Serial.print(",");
  Serial.println(val[2]);
}

// l, r: 0-90
void motor(int l, int r) {
  servoL.write(90-l);
  servoR.write(90+r);
}


