/*
File: Exam1201A.ino
Date: 2014/7/10
Author: Akinori Tsuji
*/
#include <Servo.h>

const int servoL_Pin  = 9; // uses timer1
const int servoR_Pin  = 5; // uses timer1
Servo servoL; // left servo
Servo servoR; // right servo
const int swPin = 8;

int centerL=1495, centerR=1472, pwL=680, pwR=720;

void setup() {
  Serial1.begin(9600);
  servoL.attach(servoL_Pin, centerL-pwL, centerL+pwR);
  servoR.attach(servoR_Pin, centerR-pwL, centerR+pwR);

  motor(20, 20);

  pinMode(swPin, INPUT_PULLUP);
  while(digitalRead(swPin));
}

void loop() {
  motor(0, 0);
}

// l, r: 0-90
void motor(int l, int r) {
  servoL.write(90-l);
  servoR.write(90+r);
}

